<?
include_once "../SYSTEM/include/functions.php";
include_once BASEDIR."SYSTEM/include/mysql.php";
include_once BASEDIR."SYSTEM/include/param.php";
include_once BASEDIR."SYSTEM/include/ban.php";
include_once BASEDIR."SYSTEM/include/sess.php";
include_once BASEDIR."SYSTEM/include/ban_2.php";
include_once BASEDIR."SYSTEM/include/theme.php";
$title='Настройки "ног"';
$mesto='В админке';
head();
if (!isset($user) || $user['level']<3)
{
header("Location: ../index.php?".SID."");
exit;
}

echo "<div class=\"h\">Низ страницы</div><hr />\n";

if ($mail_in_new>0)echo "<div class=\"privat\"><img src=\"../SYSTEM/themes/$them/img/mail0.gif\" alt=\"\" /> <a href=\"../mail.php?act=in\">Приват</a> [$mail_in_new]</div><hr />\n";

if (isset($_GET['set']) && $_GET['set']=='ok')
{

if (isset($_POST['end'])) // текст внизу на главной
{
$end=mysql_escape_string($_POST['end']);
mysql_query("UPDATE `$mysql[pref]set` SET `end` = '$end';");
action("Изменение нижней части страницы");
}

if (isset($_POST['end_all'])) // текст внизу на всех страницах, кроме главной
{
$end_all=mysql_escape_string($_POST['end_all']);
mysql_query("UPDATE `$mysql[pref]set` SET `end_all` = '$end_all';");
action("Изменение нижней части страницы");
}

if (isset($_POST['end_mob']) && $_POST['end_mob']==1)
{
mysql_query("UPDATE `$mysql[pref]set` SET `end_mob` = '1';");
action("Изменение нижней части страницы");
}
else
{
mysql_query("UPDATE `$mysql[pref]set` SET `end_mob` = '0';");
action("Изменение нижней части страницы");
}



if (isset($_POST['show_online']) && $_POST['show_online']==1)
{
mysql_query("UPDATE `$mysql[pref]set` SET `show_online` = '1';");
action("Изменение нижней части страницы");
}
else
{
mysql_query("UPDATE `$mysql[pref]set` SET `show_online` = '0';");
action("Изменение нижней части страницы");
}



if (isset($_POST['show_reg']) && $_POST['show_reg']==1)
{
mysql_query("UPDATE `$mysql[pref]set` SET `show_reg` = '1';");
action("Изменение нижней части страницы");
}
else
{
mysql_query("UPDATE `$mysql[pref]set` SET `show_reg` = '0';");
action("Изменение нижней части страницы");
}


if (isset($_POST['show_per']) && $_POST['show_per']==1)
{
mysql_query("UPDATE `$mysql[pref]set` SET `show_per` = '1';");
action("Изменение нижней части страницы");
}
else
{
mysql_query("UPDATE `$mysql[pref]set` SET `show_per` = '0';");
action("Изменение нижней части страницы");
}



if (isset($_POST['show_count']) && $_POST['show_count']==1)
{
mysql_query("UPDATE `$mysql[pref]set` SET `show_count` = '1';");
action("Изменение нижней части страницы");
}
else
{
mysql_query("UPDATE `$mysql[pref]set` SET `show_count` = '0';");
action("Изменение нижней части страницы");
}



if (isset($_POST['show_compress']) && $_POST['show_compress']==1)
{
mysql_query("UPDATE `$mysql[pref]set` SET `show_compress` = '1';");
action("Изменение нижней части страницы");
}
else
{
mysql_query("UPDATE `$mysql[pref]set` SET `show_compress` = '0';");
action("Изменение нижней части страницы");
}




if (isset($_POST['show_tgen']) && $_POST['show_tgen']==1)
{
mysql_query("UPDATE `$mysql[pref]set` SET `show_tgen` = '1';");
action("Изменение нижней части страницы");
}
else
{
mysql_query("UPDATE `$mysql[pref]set` SET `show_tgen` = '0';");
action("Изменение нижней части страницы");
}




$q = mysql_query("SELECT MAX(id) FROM `$mysql[pref]set`;");
$max_id_set=mysql_fetch_array($q);
$q = mysql_query("SELECT * FROM `$mysql[pref]set` WHERE `id` = '$max_id_set[0]';");
if(mysql_num_rows($q) != 0)
{
$set = mysql_fetch_array($q);
}
}

echo "<form method=\"post\" action=\"foot.php?set=ok\">\n";



echo "Текст в конце (Для главной):<br />\n";
echo "<input name=\"end\" class=\"form\" value=\"".stripcslashes(htmlspecialchars($set['end']))."\" type=\"text\" /><br />\n";

echo "Текст в конце (Для всех страниц, кроме главной):<br />\n";
echo "<input name=\"end_all\" class=\"form\" value=\"".stripcslashes(htmlspecialchars($set['end_all']))."\" type=\"text\" /><br />\n";


if ($set['end_mob']==1)
echo "<input type=\"checkbox\" name=\"end_mob\" checked=\"checked\" value=\"1\" />";
else
echo "<input type=\"checkbox\" name=\"end_mob\"  value=\"1\" />";
echo " Только для мобил (текст)<br />\n";

echo "<hr />\n";

if ($set['show_online']==1)
echo "<input type=\"checkbox\" name=\"show_online\" checked=\"checked\" value=\"1\" />";
else
echo "<input type=\"checkbox\" name=\"show_online\"  value=\"1\" />";
echo " [Online *]<br />\n";

if ($set['show_reg']==1)
echo "<input type=\"checkbox\" name=\"show_reg\" checked=\"checked\" value=\"1\" />";
else
echo "<input type=\"checkbox\" name=\"show_reg\"  value=\"1\" />";
echo " [Зарегистр: *]<br />\n";


if ($set['show_per']==1)
echo "<input type=\"checkbox\" name=\"show_per\" checked=\"checked\" value=\"1\" />";
else
echo "<input type=\"checkbox\" name=\"show_per\"  value=\"1\" />";
echo " Переходы и время юзера<br />\n";

if ($set['show_count']==1)
echo "<input type=\"checkbox\" name=\"show_count\" checked=\"checked\" value=\"1\" />";
else
echo "<input type=\"checkbox\" name=\"show_count\"  value=\"1\" />";
echo " Счетчик<br />\n";


if ($set['show_compress']==1)
echo "<input type=\"checkbox\" name=\"show_compress\" checked=\"checked\" value=\"1\" />";
else
echo "<input type=\"checkbox\" name=\"show_compress\"  value=\"1\" />";
echo " Сжатие<br />\n";

if ($set['show_tgen']==1)
echo "<input type=\"checkbox\" name=\"show_tgen\" checked=\"checked\" value=\"1\" />";
else
echo "<input type=\"checkbox\" name=\"show_tgen\"  value=\"1\" />";
echo " Время генерации<br />\n";


echo "<hr />\n";
echo "<input value=\"Применить\" class=\"form\" type=\"submit\" />\n";
echo "</form>\n";

echo "<hr />\n";


echo "<a href=\"index.php\">&lt;&lt; Админка</a><br />\n";
echo "<a href=\"../index.php\">&lt;&lt; На главную</a>\n";
foot();
?>
